﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace WindowsFormsApplication2
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            IBaseDAL _IBaseDAL = new LogDAL();
            var _ILogDAL = _IBaseDAL as ILogDAL;
            var _BaseDAL=_IBaseDAL as BaseDAL;
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1());
        }
    }

    public interface IBaseDAL
    {
        void Insert();
    }

    public interface ILogDAL : IBaseDAL
    {
        void Test();
    }

    public class BaseDAL : IBaseDAL
    {

        public virtual void Insert()
        {
            throw new NotImplementedException();
        }
    }

    public class LogDAL :BaseDAL, ILogDAL
    {
        public override void Insert()
        {
            throw new NotImplementedException();
        }

        public void Test()
        {
            throw new NotImplementedException();
        }
    }
}
